// Author:       Andreas F. Borchert
// Contributors: {}
// Description:  register functions by their name

#include <string>
#include "FunctionRegistry.h"

void FunctionRegistry::add(Function* f) {
   registry[f->get_name()] = f;
} // FunctionRegistry::add

bool FunctionRegistry::is_known(std::string fname) const {
   return registry.find(fname) != registry.end();
} // FunctionRegistry::is_known

Function* FunctionRegistry::get_function(std::string fname) {
   return registry[fname];
} // FunctionRegistry::get_function
