// Author:       Andreas F. Borchert
// Contributors: {}
// Description:  register functions by their name

#ifndef FUNCTION_REGISTRY_H
#define FUNCTION_REGISTRY_H

#include <map>
#include <string>
#include "Function.h"

class FunctionRegistry {
   public:
      void add(Function* f);
      bool is_known(std::string fname) const;
      Function* get_function(std::string fname);
   private:
      std::map< std::string, Function* > registry;
}; // class FunctionRegistry

#endif
