// Author:       Andreas F. Borchert
// Contributors: {}
// Description:  test of function registry

#include <iostream>
#include "Sinus.h"
#include "Cosinus.h"
#include "FunctionRegistry.h"

using namespace std;

int main() {
   FunctionRegistry registry;
   registry.add(new Sinus());
   registry.add(new Cosinus());

   string fname; double x;

   while (cout << ": " &&
          cin >> fname >> x) {
      if (registry.is_known(fname)) {
         Function* f(registry.get_function(fname));
         cout << f->execute(x) << endl;
      } else {
         cout << "Unknown function name: " << fname << endl;
      }
   }
} // main
